# Uses of Interface
org.opensaml.saml.saml2.core.IDPEntry

Packages that use IDPEntry
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of IDPEntry in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type IDPEntry
Modifier and Type
Method
Description
`List<IDPEntry>`
IDPList.`getIDPEntrys()`
Gets the IDPEntry list.

## Uses of IDPEntry in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement IDPEntry
Modifier and Type
Class
Description
`class`
`IDPEntryImpl`
Concrete implementation of `IDPEntry`.
Fields in org.opensaml.saml.saml2.core.impl with type parameters of type IDPEntry
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<IDPEntry>`
IDPListImpl.`idpEntries`
List of IDPEntry's.
Methods in org.opensaml.saml.saml2.core.impl that return IDPEntry
Modifier and Type
Method
Description
`IDPEntry`
IDPEntryBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`IDPEntry`
IDPEntryBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type IDPEntry
Modifier and Type
Method
Description
`List<IDPEntry>`
IDPListImpl.`getIDPEntrys()`
Gets the IDPEntry list.